GET api/JobSeeker/Profile/GetMilitaryExperienceInfo
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
MilitaryExperienceOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| Experience | Collection of ProfileMilitaryExperience |
None. |
Response Formats
application/json, text/json
Sample:
{
"experience": [
{
"id": 1,
"countryID": 2,
"countryName": "sample string 3",
"branchID": 4,
"branchOther": "sample string 5",
"branchName": "sample string 6",
"highestRank": "sample string 7",
"description": "sample string 8",
"startDate": "2026-08-06T03:27:59.7457224+00:00",
"endDate": "2026-08-06T03:27:59.7457224+00:00",
"reasonForLeaving": 9,
"reasonForLeavingDescription": "sample string 10",
"dischargeType": 11,
"dischargeTypeDescription": "sample string 12",
"documentID": 13,
"visibleToEmployers": true,
"orderNum": 15
},
{
"id": 1,
"countryID": 2,
"countryName": "sample string 3",
"branchID": 4,
"branchOther": "sample string 5",
"branchName": "sample string 6",
"highestRank": "sample string 7",
"description": "sample string 8",
"startDate": "2026-08-06T03:27:59.7457224+00:00",
"endDate": "2026-08-06T03:27:59.7457224+00:00",
"reasonForLeaving": 9,
"reasonForLeavingDescription": "sample string 10",
"dischargeType": 11,
"dischargeTypeDescription": "sample string 12",
"documentID": 13,
"visibleToEmployers": true,
"orderNum": 15
}
]
}
application/xml, text/xml
Sample:
<MilitaryExperienceOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker">
<Experience>
<ProfileMilitaryExperience>
<BranchID>4</BranchID>
<BranchName>sample string 6</BranchName>
<BranchOther>sample string 5</BranchOther>
<CountryID>2</CountryID>
<CountryName>sample string 3</CountryName>
<Description>sample string 8</Description>
<DischargeType>11</DischargeType>
<DischargeTypeDescription>sample string 12</DischargeTypeDescription>
<DocumentID>13</DocumentID>
<EndDate>2026-08-06T03:27:59.7457224+00:00</EndDate>
<HighestRank>sample string 7</HighestRank>
<ID>1</ID>
<OrderNum>15</OrderNum>
<ReasonForLeaving>9</ReasonForLeaving>
<ReasonForLeavingDescription>sample string 10</ReasonForLeavingDescription>
<StartDate>2026-08-06T03:27:59.7457224+00:00</StartDate>
<VisibleToEmployers>true</VisibleToEmployers>
</ProfileMilitaryExperience>
<ProfileMilitaryExperience>
<BranchID>4</BranchID>
<BranchName>sample string 6</BranchName>
<BranchOther>sample string 5</BranchOther>
<CountryID>2</CountryID>
<CountryName>sample string 3</CountryName>
<Description>sample string 8</Description>
<DischargeType>11</DischargeType>
<DischargeTypeDescription>sample string 12</DischargeTypeDescription>
<DocumentID>13</DocumentID>
<EndDate>2026-08-06T03:27:59.7457224+00:00</EndDate>
<HighestRank>sample string 7</HighestRank>
<ID>1</ID>
<OrderNum>15</OrderNum>
<ReasonForLeaving>9</ReasonForLeaving>
<ReasonForLeavingDescription>sample string 10</ReasonForLeavingDescription>
<StartDate>2026-08-06T03:27:59.7457224+00:00</StartDate>
<VisibleToEmployers>true</VisibleToEmployers>
</ProfileMilitaryExperience>
</Experience>
</MilitaryExperienceOutput>